  /**
    * @file FlickerPIC32.c
    * @brief This module contains the implementation of the flicker hardware
    * function
    *
    * @author Stefan Popovic
    *
    * @date 11/10/2016
    *
    * @version 0.1a
    *
    * @copyright GNU Public License
    *
    * Test configuration:
    *
    * MCU: P32MX795F512L
    * Dev.Board: EasyPIC Fusion v7
    * External Clock 10.0000 MHz
    * Ext. Modules: Flicker Click Board
    * SW: MikroC PRO for PIC32 v3.6.0
    *
    * NOTES:
      - Flicker board is essentially timer delay relay with two potentiometers: P1 for ON and P2 for OFF timer with the ON time range of (0.1 - 6) sec
      - By using potentiometers P1 and P2, you can adjust the ON / OFF period
      - Place Flicker click board on mikroBUS slot 1 or slot 2
      - Turn on PORTC LEDs at SW15 and turn on Button Press Level switch SW10 for PORTA&C (board specific)
      - FON: RC1/Slot 1 | RC3/Slot 2


    /**************************************************************************
    * Module Preprocessor Constants
    **************************************************************************/


    /**************************************************************************
    * Module Preprocessor Macros
    **************************************************************************/


    /**************************************************************************
    * Module Typedefs
    **************************************************************************/


     /**************************************************************************
     * Includes
     **************************************************************************/


    /**************************************************************************
    * Module Variable Definitions
    **************************************************************************/

    void main()
    {
      AD1PCFG = 0xFFFF;            // Configure AN pins as digital I/O
      JTAGEN_bit = 0;              // Disable JTAG
      TRISC1_bit = 1;              // Set PORTC.1 pin as input
      TRISC3_bit = 1;              // Set PORTC.3 pin as input
      while(1);                    // Endless loop
                                   // While Button is held, the onboard LED will blink according to ON/OFF timer
                                   // For example, connect beeper from digital multimeter on terminal
    }